PHP is amongst the most widely used general-purpose programming languages. It is pretty popular as it’s free software, which can be used to create responsive websites like community web portals, shopping portals or online learning portals rather than static HTML-based websites. A PHP module should be enabled on the server where a PHP site is hosted so that its code can be read. Since there aren’t any license charges for this kind of module and the language itself provides infinite possibilities for the apps that you build, there are 100s of millions of PHP-driven sites. Moreover, there’re many PHP-based scripts, which you can use for your websites without the need to possess any programming capabilities. As there are a handful of PHP versions, you need to confirm if the same exact version that you used while developing your website is present on the server as well.

PHP 4 and PHP 5 Support in Hosting

In case you buy a hosting plan from us, you’ll never need to speculate as to whether your websites are compatible with the web hosting platform, as we support different PHP versions for the sake of your convenience. The Hepsia Control Panel will permit you to choose PHP 4, 5.2, 5.3, 5.4 or 5.5 with only one mouse click and if you wish to change the current version, the update will take effect immediately. In this way, years of work on websites built with an older version won’t go down the tube. Our web hosting platform will even permit you to use a different version of PHP for each domain name hosted in your account, which implies that you can run older and newer scripts at the same time. Most web hosting companies on the market offer support for one, sometimes for two versions of PHP. In contrast with them, we strongly deem that you should be the one to choose the version that your own websites will be using.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

If you have a site based on a previous PHP version and you’ve committed time and energy towards setting it up, repairing safety loopholes and entering web content, you will need to find a hosting service that can support it, since the great majority of hosting companies today offer only the most recent version of PHP and drop the previous ones. We, on the other hand, have decided to let you pick the exact version that your websites need. Our Linux semi-dedicated servers support multiple versions of PHP 5 and PHP 4, so you’ll be able to use both older and newer scripts without forfeiting any customizations or misspending time and effort striving to make your websites compatible with the web hosting environment. The version can be changed through the Hepsia hosting Control Panel and such a change will affect the whole semi-dedicated account, but you’ll also be able to pick a different version of PHP for each individual site hosted in your account by means of an .htaccess file.